--os.loadAPI("brammeros/programs/system/basic_functions.lua")
--basic_functions.load_apis()
basic_functions = require("lib.basic-functions")
networking = require("lib.networking")

function setup()
  print(">starting netwroking setup")
  sleep(1)
  if not fs.exists "bos/files/sync-targets.txt" then
    sync_targets = {}
    sync_targets[0] = "placeholder"
    basic_functions.write_to_file("bos/files/sync-targets.txt", textutils.serialize(sync_targets))
  end

  if not fs.exists "bos/files/sync-filelist.txt" then
    sync_filelist = {}
    sync_filelist[0] = "placeholder"
    basic_functions.write_to_file("bos/files/sync-filelist.txt", textutils.serialize(sync_filelist))
  end
end

function sync_files()
  for i=0, #sync_filelist do
    for j=0, #sync_targets do
      networking.send_file(sync_targets[j], sync_filelist[i], sync_filelist[i])
    end
  end
end

local function get_sync_targets()
  sync_targets = basic_functions.read_file_all("bos/files/sync-targets.txt")
  sync_targets = textutils.unserialize(sync_targets)
  return sync_targets
end

local function get_sync_filelist()
  local sync_filelist = basic_functions.read_file_all("bos/files/sync-filelist.txt")
  sync_filelist = textutils.unserialize(sync_filelist)
  return sync_filelist
end

setup()
sync_targets = get_sync_targets()
sync_filelist = get_sync_filelist()
sync_files()
